--- old/usr/src/uts/i86pc/sys/xpv_support.h	Fri Aug 10 23:19:17 2018
+++ new/usr/src/uts/i86pc/sys/xpv_support.h	Fri Aug 10 23:19:17 2018
@@ -38,9 +38,15 @@
 #include <sys/types.h>
 #include <sys/inttypes.h>
 #include <sys/dditypes.h>
-#include <sys/xpv_impl.h>
-#include <sys/xen_mmu.h>
 
+/*
+ * XXX These originally were in retired xen_mmu.h and are likely to be not
+ * needed once all of the xpv related code is removed.
+ */
+typedef uint64_t maddr_t;
+typedef ulong_t mfn_t;
+#define	mfn_to_ma(mfn)	((maddr_t)(mfn) << MMU_PAGESHIFT)
+
 #define	IPL_DEBUG	15	/* domain debug interrupt */
 #define	IPL_CONS	9
 #define	IPL_VIF		6
@@ -75,7 +81,6 @@
 extern void xen_release_pfn(pfn_t);
 extern void reassign_pfn(pfn_t, mfn_t);
 
-extern shared_info_t *HYPERVISOR_shared_info;
 extern pfn_t xen_shared_info_frame;
 
 /*
